declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * Time value in seconds (not milliseconds!)
     */
    value: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    /**
     * If dateMode is true, timepicker asserts value is timestamp and displays/changes timestamp value
     */
    dateMode: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * if passed, replaces "day", "hour", "min", "sec" with a single label + format prop value
     */
    label: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Time format, can be "hh:mm:ss", "mm:ss", "ss"
     */
    format: {
        type: StringConstructor;
        default: string;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Object with props, passed down to wt-label as props
     */
    labelProps: {
        type: ObjectConstructor;
        description: string;
    };
    noLabel: {
        type: BooleanConstructor;
        default: boolean;
    };
    required: {
        type: BooleanConstructor;
        default: boolean;
        description: string;
    };
}>, {}, {}, {
    isHour(): boolean;
    isMin(): boolean;
    isSec(): boolean;
    labelHours(): string;
    labelMin(): string;
    labelSec(): string;
    hour: {
        get(): number;
        set(value: any): void;
    };
    min: {
        get(): number;
        set(value: any): void;
    };
    sec: {
        get(): number;
        set(value: any): void;
    };
    requiredLabel(): string;
}, {
    onHoursBlurEvent(): void;
}, {
    props: {
        v: {
            type: ObjectConstructor;
        };
        customValidators: {
            type: ArrayConstructor;
            default: () => any[];
        };
    };
    computed: {
        isValidation(): boolean;
        invalid(): any;
        validationText(): string;
    };
}, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Time value in seconds (not milliseconds!)
     */
    value: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    /**
     * If dateMode is true, timepicker asserts value is timestamp and displays/changes timestamp value
     */
    dateMode: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * if passed, replaces "day", "hour", "min", "sec" with a single label + format prop value
     */
    label: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Time format, can be "hh:mm:ss", "mm:ss", "ss"
     */
    format: {
        type: StringConstructor;
        default: string;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Object with props, passed down to wt-label as props
     */
    labelProps: {
        type: ObjectConstructor;
        description: string;
    };
    noLabel: {
        type: BooleanConstructor;
        default: boolean;
    };
    required: {
        type: BooleanConstructor;
        default: boolean;
        description: string;
    };
}>> & Readonly<{}>, {
    disabled: boolean;
    value: string | number;
    required: boolean;
    label: string;
    format: string;
    dateMode: boolean;
    noLabel: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
